package com.pj.project.tb_item;

import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Service: tb_item -- 作业配置项
 * @author qzy 
 */
@Service
public class TbItemService extends ServiceImpl<TbItemMapper,TbItem> implements IService<TbItem> {

	/** 底层 Mapper 对象 */
	@Autowired
	TbItemMapper tbItemMapper;

	/** 增 */
	int add(TbItem t){
		return tbItemMapper.add(t);
	}

	/** 删 */
	int delete(Long id){
		return tbItemMapper.delete(id);
	}

	/** 改 */
	int update(TbItem t){
		return tbItemMapper.update(t);
	}

	/** 查 */
	TbItem getById(Long id){
		return tbItemMapper.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	List<TbItem> getList(SoMap so) {
        return tbItemMapper.getList(so);
	}
	

}
